* Prevent "more" messages from appearing
set more off, permanently
* Control line length
set linesize 150

********************************************************************************
*******             BEGIN DATA MANIPULATION FOR EXAMPLE 10a              *******
*******             CHANGE "filesave" to your directory                  *******
********************************************************************************

* Defining global variable for file location to be replaced in code below
global filesave "C:\Dropbox\Example Data\Mabel Grammar Growth"
 
* Import data
use "$filesave\growthdata.dta", clear
drop group
gen group=class
label define fgroup 2 "NLI" 3 "SLI"
label values group fgroup
 
********************************************************************************
******                    BEGIN EXAMPLE 10a MODELS						                 *******
********************************************************************************

* Save results to separate file
log using $filesave\STATA_Example10a_Output.log, replace name(STATA_Example10a)
 
display as result "Distribution of Percent Correct"
summarize percentcorrect
hist percentcorrect

display as result "Empty Means Single-Level Model"
melogit ncorrect , binomial(ntrials),  
estat ic, n(104),
nlcom 1/(1+exp(-1*(_b[_cons]))) // intercept in probability
estimates store Fit1            // save fit stats

display as result "Empty Means Random Intercept Two-Level Model"
melogit ncorrect , || id: , binomial(ntrials),  
estat ic, n(104),
nlcom 1/(1+exp(-1*(_b[_cons]))) // intercept in probability
estimates store Fit2            // save fit stats
lrtest Fit2 Fit1                // LRT for random intercept variance
	
display as result "Saturated Means by Wave and Group Random Intercept Two-Level Model"
melogit ncorrect i.wave##i.group, || id: , binomial(ntrials),  
estat ic, n(104),
contrast i.wave#i.group                                // multivariate Wald tests
margins i.wave#i.group, predict(xb fixedonly) pwcompare(pveffects) // pairwise comparisons
margins i.wave#i.group, predict(xb fixedonly)          // predicted logits
marginsplot, name(predicted_logit, replace)            // plot predicted logits
margins i.wave#i.group, predict(   fixedonly)          // predicted probabilities	
marginsplot, name(predicted_probability, replace)      // plot predicted probabilities

* Close log	
log close STATA_Example10a
